EDIT - feature request #7180

cdm light export optionally filters by published flag
01/15/2018 10:39 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

cdm light export needs the possibility to export only published data (see #7175)

Related issues:
Related to EDIT - bug #7175: DwC-A export optionally filters by published flag Closed

Associated revisions

Revision a4433228 - 01/15/2018 09:36 AM - Katja Luther
add attr. onlyPublishedTaxa to exportConfigurator and CdmLightExport

Revision 19c6f3d6 - 01/16/2018 01:04 PM - Andreas Miiller
ref #7175, ref #7180, ref #7165, ref #7166 Adapting TaxonNodeFilter for unpublished, minMaxRank and areas

Revision 8f006e1e - 01/16/2018 02:42 PM - Andreas Miiller
fix #7180 fix #7175 refactor (CdmLight) and implementd (DwC-A) publish flag filtering

History

#1 - 01/15/2018 10:40 AM - Katja Luther
- Description updated
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#2 - 01/15/2018 10:45 AM - Andreas Miiller
- Related to bug #7175: DwC-A export optionally filters by published flag added

#3 - 01/15/2018 12:01 PM - Andreas Miller

- Status changed from Resolved to Feedback

The publish flag evaluation should be part of the TaxonNodeFilter filtering mechanism in TaxonNodeFilterDaolmpl to be generic. Adding it to the
export configuration is less performant and not generic.

#4 - 01/16/2018 09:50 AM - Katja Luther
Andreas Muller wrote:
The publish flag evaluation should be part of the TaxonNodeFilter filtering mechanism in TaxonNodeFilterDaolmpl to be generic. Adding it to the

export configuration is less performant and not generic.

But the check for synonyms needs to be done in the export, therefore we need to keep the attribute in the configuration.

#5 - 01/16/2018 02:42 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|8f006e1e7dd176b5249aee378757573fb22{887.
https://dev.e-taxonomy.eu/redmine/issues/7175
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/8f006e1e7dd176b5249aee378757f573fb22f887

#6 - 01/16/2018 04:26 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 0

| removed the parameter from the configurator but added it to the TaxonNodeFilter which is also part of the configurator. For synonym filtering it can
be taken from there. Also | renamed the parameter from onlyPublishedTaxa to includeUnpublished which better expresses that the default should be
not to include unpulished data.

Generally this should work. Do we have tests for CdmLight? If yes we should add a test for correct handling of unpublished. Otherwise we should
urgently start writing tests as CdmLight is frequently used.

From my side we can close this ticket, but we still need to include this in TaxEditor if not yet done. As the new version of the configurator does not
include the boolean value directly anymore, this does not happen automatically anymore.

#7 - 01/24/2018 10:38 AM - Katja Luther

Andreas Miller wrote:
| removed the parameter from the configurator but added it to the TaxonNodeFilter which is also part of the configurator. For synonym filtering it
can be taken from there. Also | renamed the parameter from onlyPublishedTaxa to includeUnpublished which better expresses that the default
should be not to include unpulished data.

Generally this should work. Do we have tests for CdmLight? If yes we should add a test for correct handling of unpublished. Otherwise we
should urgently start writing tests as CdmLight is frequently used.

From my side we can close this ticket, but we still need to include this in TaxEditor if not yet done. As the new version of the configurator does
not include the boolean value directly anymore, this does not happen automatically anymore.

now there are tests for the cdm light export.

#8 - 01/24/2018 01:46 PM - Andreas Miiller

| think we can close this ticket now

#9 - 01/24/2018 01:58 PM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
